import { OnInit } from "@angular/core";
import { HelmChartMetaData, HelmChartSecurity } from "./../../service/interface";
import { HelmChartService } from "../../service/index";
import { ErrorHandler } from "./../../error-handler/error-handler";
export declare class ChartDetailSummaryComponent implements OnInit {
    private errorHandler;
    private helmChartService;
    summary: HelmChartMetaData;
    security: HelmChartSecurity;
    repoURL: string;
    projectName: string;
    chartName: string;
    chartVersion: string;
    readme: string;
    copiedCMD: string;
    addCMD: string;
    installCMD: string;
    verifyCMD: string;
    constructor(errorHandler: ErrorHandler, helmChartService: HelmChartService);
    ngOnInit(): void;
    isCopied(cmd: string): boolean;
    onCopySuccess(e: Event, cmd: string): void;
    readonly prov_ready: boolean;
    downloadChart(): void;
}
